singleton Material(ke17_body)
{
   mapTo = "ke17_body";
   diffuseMap[0] = "vehicles/ke17/null.dds";
   specularMap[0] = "vehicles/ke17/null.dds";
   normalMap[0] = "vehicles/ke17/ke17_body_n.png";
   diffuseMap[1] = "vehicles/ke17/ke17_body_d.dds";
   specularMap[1] = "vehicles/ke17/ke17_body_s.dds";
   normalMap[1] = "vehicles/ke17/ke17_body_n.png";
   diffuseMap[2] = "vehicles/ke17/ke17_body_c.dds";
   specularPower[0] = "100";
   specularPower[1] = "200";
   pixelSpecular[0] = "1";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ke17_badge)
{
   mapTo = "ke17_badge";
    diffuseMap[0] = "vehicles/ke17/ke17_badge_o_lo.dds";
   specularMap[0] = "vehicles/ke17/ke17_badge_s_lo.dds";
   diffuseMap[1] = "vehicles/ke17/ke17_badge_d_lo.dds";
   specularMap[1] = "vehicles/ke17/ke17_badge_s_lo.dds";
   normalMap[0] = "vehicles/ke17/ke17_badge_n_lo.dds";
   normalMap[1] = "vehicles/ke17/ke17_badge_n_lo.dds";
   diffuseMap[2] = "vehicles/ke17/ke17_badge_o_lo.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "2 2 2 0.8";
   diffuseColor[2] = "1 1 1 0.4";
   pixelSpecular[0] = "1";
   pixelSpecular[1] = "1";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
};

singleton Material(ke17_lights)
{
   mapTo = "ke17_lights";
  diffuseMap[0] = "vehicles/ke17/null.dds";
   specularMap[0] = "vehicles/ke17/ke17_lights_s.dds";
   diffuseMap[1] = "vehicles/ke17/ke17_lights_d.dds";
   specularMap[1] = "vehicles/ke17/ke17_lights_s.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ke17_lights_on)
{
   mapTo = "ke17_lights_on";
  diffuseMap[0] = "vehicles/ke17/null.dds";
   specularMap[0] = "vehicles/ke17/ke17_lights_s.dds";
   diffuseMap[1] = "vehicles/ke17/ke17_lights_d.dds";
   specularMap[1] = "vehicles/ke17/ke17_lights_s.dds";
   diffuseMap[2] = "vehicles/ke17/ke17_lights_g.dds";
   specularMap[2] = "vehicles/ke17/ke17_lights_s.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.12";
   specularPower[0] = "16";
   specularPower[1] = "16";
   specularPower[2] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ke17_lights_on_intense)
{
   mapTo = "ke17_lights_on_intense";
  diffuseMap[0] = "vehicles/ke17/null.dds";
   specularMap[0] = "vehicles/ke17/ke17_lights_s.dds";
   diffuseMap[1] = "vehicles/ke17/ke17_lights_d.dds";
   specularMap[1] = "vehicles/ke17/ke17_lights_s.dds";
   diffuseMap[2] = "vehicles/ke17/ke17_lights_g.dds";
   specularMap[2] = "vehicles/ke17/ke17_lights_s.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.22";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ke17_lights_dmg)
{
   mapTo = "ke17_lights_dmg";
   diffuseMap[1] = "vehicles/ke17/ke17_lights_dmg_d.dds";
   specularMap[1] = "vehicles/ke17/ke17_lights_dmg_s.dds";
   //normalMap[1] = "vehicles/ke17/ke17_lights_dmg_n.dds";
   diffuseMap[0] = "vehicles/ke17/null.dds";
   specularMap[0] = "vehicles/ke17/null.dds";
   //normalMap[0] = "vehicles/ke17/ke17_lights_dmg_n.dds";
   //diffuseMap[2] = "vehicles/ke17/ke17_lights_dirt.dds";
   //normalMap[2] = "vehicles/ke17/ke17_lights_dmg_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ke17_brakelight)
{
   mapTo = "ke17_brakelight";
};

singleton Material(ke17_taillight_L)
{
   mapTo = "ke17_taillight_L";
};

singleton Material(ke17_reverselight)
{
   mapTo = "ke17_reverselight";
};

singleton Material(ke17_signal_R)
{
   mapTo = "ke17_signal_R";
};

singleton Material(ke17_signal_L)
{
   mapTo = "ke17_signal_L";
};

singleton Material(ke17_headlight)
{
   mapTo = "ke17_headlight";
};

singleton Material(ke17_cornerlight_R)
{
   mapTo = "ke17_cornerlight_R";
};

singleton Material(ke17_cornerlight_L)
{
   mapTo = "ke17_cornerlight_L";
};

singleton Material(ke17_interior)
{
   mapTo = "ke17_interior";
   diffuseMap[0] = "vehicles/ke17/null.dds";
   specularMap[0] = "vehicles/ke17/null.dds";
   diffuseMap[1] = "vehicles/ke17/ke17_interior_d.dds";
   specularMap[1] = "vehicles/ke17/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.4 0.4 0.4 1";
   specularPower[0] = "1";
   specularPower[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ke17_3kc)
{
   mapTo = "ke17_3kc";
    diffuseMap[0] = "vehicles/ke17/null.dds";
   specularMap[0] = "vehicles/ke17/null.dds";
   diffuseMap[1] = "vehicles/ke17/null.dds";
   specularMap[1] = "vehicles/ke17/null.dds";
   diffuseColor[0] = "1 1 1 0.1";
   diffuseColor[1] = "0.1 0.1 0.1 0.97";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ke17_mirror)
{
   mapTo = "ke17_mirror";
    diffuseMap[0] = "vehicles/ke17/null.dds";
   specularMap[0] = "vehicles/ke17/null.dds";
   diffuseMap[1] = "vehicles/ke17/null.dds";
   specularMap[1] = "vehicles/ke17/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.1 0.1 0.1 0.2";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ke17_wheel)
{
   mapTo = "ke17_wheel";
    diffuseMap[0] = "vehicles/ke17/null.dds";
   specularMap[0] = "vehicles/ke17/wheel12in_s.dds";
   diffuseMap[1] = "vehicles/ke17/wheel12in_d.dds";
   specularMap[1] = "vehicles/ke17/wheel12in_s.dds";
   normalMap[0] = "vehicles/ke17/wheel12in_n.dds";
   normalMap[1] = "vehicles/ke17/wheel12in_n.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   specularPower[0] = "10";
   specularPower[1] = "10";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ke17_glass)
{
   mapTo = "ke17_glass";
   diffuseMap[0] = "vehicles/ke17/ke17_glass_d.dds";
   specularMap[0] = "vehicles/ke17/ke17_glass_s.dds";
   diffuseMap[1] = "vehicles/ke17/ke17_glass_da.dds";
   specularMap[1] = "vehicles/ke17/ke17_glass_s.dds";
   //diffuseMap[2] = "vehicles/ke17/ke17_glass_dirt.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ke17_glass_dmg)
{
   mapTo = "ke17_glass_dmg";
   diffuseMap[0] = "vehicles/ke17/ke17_glass_dmg_d.dds";
   specularMap[0] = "vehicles/ke17/glass_dmg_s.dds";
   normalMap[0] = "vehicles/ke17/glass_dmg_n.dds";
   //diffuseMap[2] = "vehicles/ke17/ke17_glass_dirt.dds";
   specularPower[0] = "32";
   diffuseColor[0] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};
